Foxit PDF SDK

Public Member Functions | Public Attributes | List of all members
FSDK.Excel2PDFSettingData Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| constructor (include_doc_props, quality, ignore_print_area, scale_type, convert_to_pdfa, disable_vba_code)
| Constructor, with parameters. More...
| Set (include_doc_props, quality, ignore_print_area, scale_type, convert_to_pdfa, disable_vba_code)
| Set value. More...

## Public Attributes
| convert_to_pdfa
| (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false. More...
| disable_vba_code
| A boolean value decide whether to disable the execution of vba code in the Excel document. More...
| e_ConvertQualityMinimum
| Minimum quality.
| e_ConvertQualityStandard
| Enumeration for quality for converting Excel to PDF. More...
| e_ScaleTypeFitAllColumns
| Fit all columns of one sheet on one page.
| e_ScaleTypeFitAllRows
| Fit all rows of one sheet on one page.
| e_ScaleTypeFitSheet
| Fit a sheet on one page.
| e_ScaleTypeNone
| Enumeration for scaling type for each sheet in the Excel document for converting Excel to PDF. More...
| ignore_print_area
| A boolean value which indicates whether to ignore any print area set when converting Excel document to PDF file. More...
| include_doc_props
| A boolean value which indicates whether to include Excel document properties in the converted PDF document. More...
| quality
| Quality for covnerting Excel to PDF. Please refer to values starting from FSDK.Excel2PDFSettingData.e_ConvertQualityStandard and this should be one of these values.
| scale_type
| Scale type for the Excel sheet when converting Excel document to PDF file. Please refer to values starting from FSDK.Excel2PDFSettingData.e_ScaleTypeNone and this should be one of these values.

## Detailed Description

This class represents setting data used for converting Excel to PDF.

## Member Function Documentation

## ◆ constructor()

FSDK.Excel2PDFSettingData.constructor | ( | include_doc_props | ,
|  | quality | ,
|  | ignore_print_area | ,
|  | scale_type | ,
|  | convert_to_pdfa | ,
|  | disable_vba_code |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | include_doc_props | A boolean value which indicates whether to include Excel document properties in the converted PDF document.
  [in] | quality | Quality for covnerting Excel to PDF. Please refer to values starting from FSDK.Excel2PDFSettingData.e_ConvertQualityStandard and this should be one of these values.
  [in] | ignore_print_area | A boolean value which indicates whether to ignore any print area set when converting Excel document to PDF file.
  [in] | scale_type | Scale type for the Excel sheet when converting Excel document to PDF file. Please refer to values starting from FSDK.Excel2PDFSettingData.e_ScaleTypeNone and this should be one of these values.
  [in] | convert_to_pdfa | (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.
  [in] | disable_vba_code | A boolean value decide whether to disable the execution of vba code in the Excel document.

## ◆ Set()

FSDK.Excel2PDFSettingData.Set | ( | include_doc_props | ,
|  | quality | ,
|  | ignore_print_area | ,
|  | scale_type | ,
|  | convert_to_pdfa | ,
|  | disable_vba_code |
| ) |  |

Set value.

Parameters

  [in] | include_doc_props | A boolean value which indicates whether to include Excel document properties in the converted PDF document.
  [in] | quality | Quality for covnerting Excel to PDF. Please refer to values starting from FSDK.Excel2PDFSettingData.e_ConvertQualityStandard and this should be one of these values.
  [in] | ignore_print_area | A boolean value which indicates whether to ignore any print area set when converting Excel document to PDF file.
  [in] | scale_type | Scale type for the Excel sheet when converting Excel document to PDF file. Please refer to values starting from FSDK.Excel2PDFSettingData.e_ScaleTypeNone and this should be one of these values.
  [in] | convert_to_pdfa | (Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.
  [in] | disable_vba_code | A boolean value decide whether to disable the execution of vba code in the Excel document.

Returns
  None.

## Member Data Documentation

## ◆ convert_to_pdfa

FSDK.Excel2PDFSettingData.convert_to_pdfa

(Reserved) A boolean value which indicates whether to convert to a PDF/A file or a common PDF file. Currently, this is useless and Foxit PDF SDK will treated as false.

true means to convert Excel document to a PDF/A file.
false means to convert Excel document to a common file.

## ◆ disable_vba_code

FSDK.Excel2PDFSettingData.disable_vba_code

A boolean value decide whether to disable the execution of vba code in the Excel document.

true means to disable the vba code, while false means not. Default value:false.
This flag is only supported on Windows platforms.

## ◆ e_ConvertQualityStandard

FSDK.Excel2PDFSettingData.e_ConvertQualityStandard

Enumeration for quality for converting Excel to PDF.

Values of this enumeration should be used alone.

Standard quality.

## ◆ e_ScaleTypeNone

FSDK.Excel2PDFSettingData.e_ScaleTypeNone

Enumeration for scaling type for each sheet in the Excel document for converting Excel to PDF.

Values of this enumeration should be used alone.

No scaling.

## ◆ ignore_print_area

FSDK.Excel2PDFSettingData.ignore_print_area

A boolean value which indicates whether to ignore any print area set when converting Excel document to PDF file.

true means to ignore any setting of print area in Excel document.
false means to use the setting of print areas in Excel document.

## ◆ include_doc_props

FSDK.Excel2PDFSettingData.include_doc_props

A boolean value which indicates whether to include Excel document properties in the converted PDF document.

true means to include Excel document properties in the converted PDF document.
false means not to include Excel document properties in the converted PDF document.